package { 
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.MouseEvent;
	
	public class Bind extends MovieClip{
	
		public function Bind(){}
		
		public function bind(target:*,vars:Object):void{
			if(vars.click){target.addEventListener(MouseEvent.CLICK, vars.click);}
			if(vars.over){target.addEventListener(MouseEvent.MOUSE_OVER, vars.over);}
			if(vars.out){target.addEventListener(MouseEvent.MOUSE_OUT, vars.out);}
			if(vars.down){target.addEventListener(MouseEvent.MOUSE_DOWN, vars.down);}
			if(vars.up){target.addEventListener(MouseEvent.MOUSE_UP, vars.up);}
			if(vars.move){target.addEventListener(MouseEvent.MOUSE_MOVE, vars.move);}
			if(vars.doubleClick){target.addEventListener(MouseEvent.DOUBLE_CLICK, vars.doubleClick)}
			if(vars.added){target.addEventListener(Event.ADDED_TO_STAGE, vars.added)}
			if(vars.enterFrame){target.addEventListener(Event.ENTER_FRAME, vars.enterFrame)}
		}
		
		public function unbind(target:*,vars:Object):void{
			if(vars.click){target.removeEventListener(MouseEvent.CLICK, vars.click);}
			if(vars.over){target.removeEventListener(MouseEvent.MOUSE_OVER, vars.over);}
			if(vars.out){target.removeEventListener(MouseEvent.MOUSE_OUT, vars.out);}
			if(vars.down){target.removeEventListener(MouseEvent.MOUSE_DOWN, vars.down);}
			if(vars.up){target.removeEventListener(MouseEvent.MOUSE_UP, vars.up);}
			if(vars.move){target.removeEventListener(MouseEvent.MOUSE_MOVE, vars.move);}
			if(vars.doubleClick){target.removeEventListener(MouseEvent.DOUBLE_CLICK, vars.doubleClick)}
			if(vars.added){target.removeEventListener(Event.ADDED_TO_STAGE, vars.added)}
			if(vars.enterFrame){target.removeEventListener(Event.ENTER_FRAME, vars.enterFrame);}
		}
	}
	
}